This commit was manufactured by cvs2svn to create branch 'vserver'.
[linux-2.6.git] / Documentation / aoe / autoload.sh
diff --git a/Documentation/aoe/autoload.sh b/Documentation/aoe/autoload.sh
new file mode 100644 (file)
index 0000000..78dad13
--- /dev/null
@@ -0,0 +1,17 @@
+#!/bin/sh
+# set aoe to autoload by installing the
+# aliases in /etc/modprobe.conf
+
+f=/etc/modprobe.conf
+
+if test ! -r $f || test ! -w $f; then
+       echo "cannot configure $f for module autoloading" 1>&2
+       exit 1
+fi
+
+grep major-152 $f >/dev/null
+if [ $? = 1 ]; then
+       echo alias block-major-152 aoe >> $f
+       echo alias char-major-152 aoe >> $f
+fi
+